> On July 20, 2016, 3:49 p.m., Jayush Luniya wrote:
> > Ship It!

@Rob, whats the Apache JIRA for this? Can you update the review with the Apache 
JIRA?


- Jayush


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/50234/#review142950
-----------------------------------------------------------


On July 20, 2016, 3:55 p.m., Robert Levas wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/50234/
> -----------------------------------------------------------
> 
> (Updated July 20, 2016, 3:55 p.m.)
> 
> 
> Review request for Ambari, Andrew Onischuk, Jayush Luniya, and Sumit Mohanty.
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> # Log
> ```
> Traceback (most recent call last):
>     File 
> "/var/lib/ambari-agent/cache/common-services/KERBEROS/1.10.3-10/package/scripts/kerberos_client.py",
>  line 80, in <module>
>       KerberosClient().execute()
>     File 
> "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
>  line 280, in execute
>       method(env)
>     File 
> "/var/lib/ambari-agent/cache/common-services/KERBEROS/1.10.3-10/package/scripts/kerberos_client.py",
>  line 28, in install
>       self.install_packages(env)
>     File 
> "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
>  line 545, in install_packages
>       if Script.check_package_condition(package):
>     File 
> "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
>  line 583, in check_package_condition
>       return chooser_method()
>     File 
> "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/package_conditions.py",
>  line 93, in should_install_kerberos_server
>       return 'role' in config and not 
> _has_applicable_local_component("KERBEROS_CLIENT")
>   TypeError: _has_applicable_local_component() takes exactly 2 arguments (1 
> given)
> ```
> 
> # Cause
> Error in patch from AMBARI-17792
> 
> # Solution
> Clean up Kerberos service code, which needs to be done anyways and will also 
> fix the issue.
> 
> 
> Diffs
> -----
> 
>   
> ambari-common/src/main/python/resource_management/libraries/functions/package_conditions.py
>  d5aaae6 
>   
> ambari-server/src/main/resources/common-services/KERBEROS/1.10.3-10/metainfo.xml
>  d7cd641 
>   
> ambari-server/src/main/resources/common-services/KERBEROS/1.10.3-10/package/scripts/kerberos_server.py
>  fb43cb8 
>   
> ambari-server/src/main/resources/common-services/KERBEROS/1.10.3-10/package/templates/kadm5_acl.j2
>  d82ae23 
>   
> ambari-server/src/main/resources/common-services/KERBEROS/1.10.3-10/package/templates/kdc_conf.j2
>  f78adc7 
> 
> Diff: https://reviews.apache.org/r/50234/diff/
> 
> 
> Testing
> -------
> 
> Manaully tested
> 
> 
> Thanks,
> 
> Robert Levas
> 
>

Reply via email to